MultiSound = {}
meta = {}

function MultiSound:new(soundFiles)
  self.soundFiles = soundFiles
  return self
end

function MultiSound:play()
  local index = 1
  local sound = Sound.new(self.soundFiles[index])
  index = index+1
  self.sound_channel = sound:play()
  local sound_channel_callback = function()
      if index==#self.soundFiles then
        self.sound_channel = Sound.new(self.soundFiles[index]):play(0, math.huge)
      else
        self.sound_channel = Sound.new(self.soundFiles[index]):play()
        index = index+1
        self.sound_channel:addEventListener(Event.COMPLETE,sound_channel_callback)
      end
  end
  self.sound_channel:addEventListener(Event.COMPLETE, sound_channel_callback)

end

function MultiSound:stop()
  self.sound_channel:stop()
end